Skip to main content
GET
Retrieve a SIP trunk

Authorizations

Authorization
string
header
required

Wavix API key. Pass as Authorization: Bearer <api_key>. Keys support per-resource scopes (none / read / write). See Restricted keys and scopes.

Path Parameters

id
integer<int32>
required

The unique ID of the SIP trunk.

Example:

3107

Response

Returns the SIP trunk.

id
integer<int32>
required

Unique identifier of the SIP trunk on the platform

Example:

293

name
string
required

System-generated login name of the SIP trunk

Example:

"67758"

callerid
string | null
required

Caller ID configured on the SIP trunk. Contains null if no Caller ID is set, or an empty string if multiple Caller IDs are allowed.

Example:

"12345678900"

label
string
required

User-defined name of the SIP trunk

Example:

"My trunk"

allowed_ips
AllowedIPs · object[]
required
created_at
string<date-time>
required

Date and time the SIP trunk was created

Example:

"2023-05-16T17:13:25.000Z"

ip_restrict
boolean
default:false

Indicates whether IP restriction must be enabled on the SIP trunk

Example:

false

channels_restrict
boolean
default:false

Indicates if the max number of concurrent outbound calls limit is activated for the SIP trunk.

Example:

false

max_channels
integer<int32> | null

A maximum number of concurrent outbound calls placed via the SIP trunk. Cannot be higher than the outbound channel capacity configured on the account.

Example:

2

cost_limit
boolean
default:false

Indicates if the max cost limit for an outbound call limit is activated for the SIP trunk.

Example:

true

max_call_cost
string | null

A maximum cost of an outbound call, in USD.

Example:

"0.18"

call_restrict
boolean | null
default:false

Indicates if maximum call duration limit is activated for the SIP trunk.

Example:

false

call_limit
integer<int32> | null

A maximum call duration for the SIP trunk, in seconds. Cannot be higher than the max call duration set for the account.

Example:

3600

didinfo_enabled
boolean
default:true

Indicates if inbound calls carry dialed number information in the 'To' header of SIP Invites

Example:

true

rewrite_enabled
boolean
default:false

Indicates if a custom dial plan is activated for the SIP trunk.

Example:

true

rewrite_prefix
string

Leading digits to be added before the dialed phone numbers.

Example:

"1"

rewrite_cond
string

Leading digits to be deleted from the dialed phone numbers.

call_recording_enabled
boolean
default:false

Indicates if outbound call recording is enabled on the SIP trunk. Available for Flex Pro customers only.

Example:

true

machine_detection_enabled
boolean
default:false

Indicates if automatic voicemail detection is enabled on the SIP trunk. Available for Flex Pro customers only.

Example:

true

transcription_enabled
boolean
default:false

Indicates if automatic call transcription is enabled on the SIP trunk. Available for Flex Pro customers only.

Example:

false

transcription_threshold
integer<int32>
default:6

Transcriptions will be generated for calls that meet or exceed the specified minimal call duration threshold, in seconds

Example:

10

host
string

Registration host for the SIP trunk. dynamic for credential-based registration, or a public static IP address for IP authentication.

Example:

"dynamic"

multiple_numbers
boolean

Indicates whether any active or verified phone number on the account can be used as the Caller ID for the SIP trunk.

Example:

true

encrypted_media
boolean

Indicates whether SRTP media encryption is enabled for the SIP trunk.

Example:

true

passthrough
boolean

Indicates whether Caller ID passthrough is enabled.

Example:

true

access_token
string | null

Static authentication token for the SIP trunk.

Example:

"123easwqe321132"